Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class TransactionalSeamPortletPhaseListener

    java.lang.Object
      org.jboss.seam.jsf.AbstractSeamPhaseListener
          org.jboss.seam.jsf.SeamPortletPhaseListener
              org.jboss.seam.jsf.TransactionalSeamPortletPhaseListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.PhaseListener

Direct Known Subclasses:
  SeamExtendedManagedPersistencePortletPhaseListener

    public class TransactionalSeamPortletPhaseListener

extends SeamPortletPhaseListener

Transaction management for extended persistence contexts. A transaction spans the restore view, apply request values, process validations, update model values and invoke application phases. It is committed when invoke application is complete, or renderResponse() or responseComplete() is called. A second transaction spans the render response phase.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`TransactionalSeamPortletPhaseListener()`

Method Summary
`protected void` | `afterInvokeApplication()` Give the subclasses an opportunity to do stuff
`protected void` | `handleTransactionsAfterPageActions(javax.faces.event.PhaseEvent event)`
`void` | `handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)`
`void` | `handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)`

Methods inherited from class org.jboss.seam.jsf.SeamPortletPhaseListener
`afterPhase, beforePhase`

Methods inherited from class org.jboss.seam.jsf.AbstractSeamPhaseListener
`addTransactionFailedMessage, afterProcessValidations, afterRender, afterResponseComplete, afterRestoreView, beforeRender, getPhaseId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionalSeamPortletPhaseListener

    public TransactionalSeamPortletPhaseListener()

Method Detail

### handleTransactionsBeforePhase

    public void handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)

  Overrides:
    `handleTransactionsBeforePhase` in class `SeamPortletPhaseListener`

### handleTransactionsAfterPhase

    public void handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)

  Overrides:
    `handleTransactionsAfterPhase` in class `SeamPortletPhaseListener`

### handleTransactionsAfterPageActions

    protected void handleTransactionsAfterPageActions(javax.faces.event.PhaseEvent event)

  Overrides:
    `handleTransactionsAfterPageActions` in class `AbstractSeamPhaseListener`

### afterInvokeApplication

    protected void afterInvokeApplication()

  Description copied from class: `AbstractSeamPhaseListener`
  Give the subclasses an opportunity to do stuff

  Overrides:
    `afterInvokeApplication` in class `AbstractSeamPhaseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD